---
title:  "Voting results for language around O(n²)"
comment_links:
  reddit: https://www.reddit.com/r/programming/comments/2j9kne/rprogramming_you_voted_on_language_around_on%C2%B2/
---
I [previously](/09-29-2014/say-On2.html) lamented that we are stuck with many roughly equivalent ways to say technical terms/phrases. Then I proposed over 88 ways to talk about O(n²) in computer science with voting buttons for "sounds good", "sounds ok", and "sounds wrong/confusing."

After 13k votes, mostly from [/r/programming](https://www.reddit.com/r/programming) readers, here are the results.

There were four almost equally most popular terms, with plenty of people prefering one over the others.

+ "big oh of n squared"
+ "order [of] n squared"
+ "complexity of n squared"
+ "quadratic time"

Removal of "of" was slightly less popular (except for "order" which was basically equal). Other variations of the four were a bit less popular still.

As I noted, opinions were split, with ~55% "sounds good", ~25% "sounds ok", and ~20% "sounds wrong or confusing" for each. For people who liked one of these four, they also had a preference for its minor variations, but felt average for the other three.

"big oh of n squared" did have an edge, which I think is at least partially due to the fact that I used O(n²) when writting about the topic. In a proper experiment, I would have interviewed people verbally and used a random term to introduce the topic.

There weren't any words that stood out as universally disliked, although a few awkward combinations rounded the bottom with 60% "sounds wrong or confusing." I would recommend using one of the above, or a variation, which is still about 20 options.

That is the high level overview. If you want to see all the words and their vote percentages, they are [here](/on2/on2-vote-detailed-analysis.txt).

Natural language sure can complicate things. Looking at data can give us some insights though. I wonder how preferences will change in 5 or 10 years.
